Attribute VB_Name = "Module1"
Const WM_ADD_COMMENT_GET_PREDEFINED_TEXT = 1024 + 1019
Private Type STEXTDATA
    text As String
    len As Long
End Type
Public Function GlobalMessageCallback(ByVal hWnd As Long, ByVal message As Long, _
    ByVal wParam As Long, ByVal lParam As Long, ByVal lUserData As Long) As Long
    
    Dim iRet As Long
    Dim strText As String
    Dim lpItemTextData As STEXTDATA
    
    iRet = 0
    
    If message = WM_ADD_COMMENT_GET_PREDEFINED_TEXT Then
            strText = "This is a prefilled text annotation, you can predefine it easily."
'            lpItemTextData = VarPtr(lParam)
'            lpItemTextData.len = length(strText)
'            lpItemTextData.text = strText
    End If
    GlobalMessageCallback = iRet
    ' Return FALSE if you wish call original process
End Function


